<?php
require_once("DBManager.class.php");

class blog_datos{
	private $idbd;
	private $idblog;///
	private $idpersona_i;	
	private $idpersona_v;
	
	//////////////////////////////////////////
	///////////////////////////////////////////
	public function Crear($vid,$idpv,$i)
	{   
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("INSERT INTO blog_datos(idblog,idpersona_v,visita) VALUES('".$vid."',".$idpv.",".$i.")"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorBlog($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from blog_datos where(idblog ='".$v."') order by idblog");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idbd"   => $rs->fields["idbd"],
									"idblog"   => $rs->fields["idblog"],
									"idpersona_i" 	    => $rs->fields["idpersona_i"],
									"idpersona_v"         => $rs->fields["idpersona_v"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListarVisitasBlog($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from blog_datos where(idblog ='".$v."' and idpersona_v<>'') order by idblog");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idbd"   => $rs->fields["idbd"],
									"idblog"   => $rs->fields["idblog"],
									"idpersona_i" 	    => $rs->fields["idpersona_i"],
									"idpersona_v"         => $rs->fields["idpersona_v"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListarInteresBlog($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from blog_datos where(idblog ='".$v."' and idpersona_i<>'') order by idblog");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idbd"   => $rs->fields["idbd"],
									"idblog"   => $rs->fields["idblog"],
									"idpersona_i" 	    => $rs->fields["idpersona_i"],
									"idpersona_v"         => $rs->fields["idpersona_v"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	
			
	public function BuscarPorCodigo($vcod)
	{
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from blog_datos where(idbd = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
					  $this->idbd=$rs->fields["idbd"];
	                  $this->idblog=$rs->fields["idblog"];
				      $this->idpersona_i=$rs->fields["idpersona_i"];	
					  $this->idpersona_v=$rs->fields["idpersona_v"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorBlog($vcod)
	{
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from blog_datos where(idblog = '".$vcod."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
					  $this->idbd=$rs->fields["idbd"];
	                  $this->idblog=$rs->fields["idblog"];
				      $this->idpersona_i=$rs->fields["idpersona_i"];	
					  $this->idpersona_v=$rs->fields["idpersona_v"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM blog_datos WHERE (idbd=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	////////////////////////////////////////							
	public function getIdbd(){ return $this->idbd;}
	public function getIdblog(){ return $this->idblog;}
	public function getIdpersona_i(){ return $this->idpersona_i;}
	public function getIdpersona_v(){ return $this->idpersona_v;}
}
?>
